%{?nodejs_find_provides_and_requires}

Name:           nodejs-npm-registry-client
Version:        0.2.28
Release:        3%{?dist}
Summary:        Client for the npm registry

Group:          System Environment/Libraries
License:        BSD
URL:            https://github.com/isaacs/npm-registry-client
Source0:        http://registry.npmjs.org/npm-registry-client/-/npm-registry-client-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# this patch fixes `npm adduser` and `npm publish`
# it effectively updates this package to v0.4.12; however we can't bump the
# version of this package without breaking the world
Patch1:         %{name}-publish-fixes.patch

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%description
Client for the npm registry, or private servers using the npm registry software.

%prep
%setup -q -n package
%patch1 -p1
%nodejs_fixdep -r couch-login

%build
#nothing to do

%install
rm -rf %buildroot
mkdir -p %{buildroot}%{nodejs_sitelib}/npm-registry-client
cp -pr package.json index.js lib %{buildroot}%{nodejs_sitelib}/npm-registry-client

%nodejs_symlink_deps

%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
%{nodejs_sitelib}/npm-registry-client
%doc README.md LICENSE

%changelog
* Sat May 16 2015 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.28-3
- backport fixes to publish and adduser functions (RHBZ#1220472)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.28-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Sep 06 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.28-1
- update to upstream release 0.2.28
- add ExclusiveArch logic

* Tue Jul 30 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.27-2
- fix semver dep

* Fri Jul 12 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.27-1
- new upstream release 0.2.27

* Sun Jun 23 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.25-1
- new upstream release 0.2.25

* Sat Jun 22 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.20-3
- restrict to compatible arches

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.20-2
- add macro for EPEL6 dependency generation

* Wed Apr 03 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.20-1
- new upstream release 0.2.20

* Wed Mar 13 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.18-2
- fix request dep

* Wed Mar 13 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.18-1
- new upstream release 0.2.18

* Wed Feb 13 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.15-1
- new upstream release 0.2.15
- graceful-fs dep good now

* Sat Feb 09 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.13-2
- fix graceful-fs dep for 1.2.0

* Sat Feb 09 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.13-1
- new upstream release 0.2.13

* Tue Jan 08 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.11-2
- add missing build section

* Mon Dec 31 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.11-1
- initial package generated by npm2rpm
